Skip to navigation

GetAccountInformation

View as Markdown

This method requests the account level attributes for an account.

Schema

NameSchema TypeDescription
AccountIdStringThe account ID for the account being checked.

Sample Request XML

POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/GetAccountInformation"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<GetAccountInformation xmlns="http://www.docusign.net/API/AccountManagement">
<AccountId>string</AccountId>
</GetAccountInformation>
</soap:Body>
</soap:Envelope>

The response contains the account information below and either a success or failure. If the call fails an error code is provided. | Name | Schema Type | Description | | --- | --- | --- | | CurrentPlanId | String | The Plan ID of the requested account. | | CurrentPlanName | String | The Plan Name of the requested account. | | CurrentPlanStartDate | dateTime | The Plan start date of the requested account. | | CurrentPlanEndDate | dateTime | The Plan end date of the requested account. | | CurrentBillingPeriodStartDate | dateTime | The billing period start date of the requested account. | | CurrentBillingPeriodEndDate | dateTime | The billing period end date of the requested account. | | CurrentBillingPeriodEnvelopesSent | Integer | The total number of envelopes sent by this account in the current billing period. | | CurrentBillingPeriodEnvelopesAllowed | Integer | The total number of envelopes that the account can send during the current billing period. | | AccountSuspensionStatus | String | Blank if account is not suspended. Otherwise, it indicates the reason why the account was suspended. | | AccountSuspensionDate | dateTime | The date that the account was suspended. | | AccountName | String | The account name associated with the requested account. | | ExternalAccountId | String | The Docusign account number. | | ConnectPermission | String | Shows the account permission for using Connect.\n\nEnumeration values are: None, Full or Sendonly. | | DocusignLandingUrl | String | The URL of the landing page associated with the account. |

Sample Response XML

HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<GetAccountInformationResponse xmlns="http://www.docusign.net/API/AccountManagement">
<GetAccountInformationResult>
<CurrentPlanId>string</CurrentPlanId>
<CurrentPlanName>string</CurrentPlanName>
<CurrentPlanStartDate>dateTime</CurrentPlanStartDate>
<CurrentPlanEndDate>dateTime</CurrentPlanEndDate>
<CurrentBillingPeriodStartDate>dateTime</CurrentBillingPeriodStartDate>
<CurrentBillingPeriodEndDate>dateTime</CurrentBillingPeriodEndDate>
<CurrentBillingPeriodEnvelopesSent>integer</CurrentBillingPeriodEnvelopesSent>
<CurrentBillingPeriodEnvelopesAllowed>integer</CurrentBillingPeriodEnvelopesAllowed>
<AccountSuspensionStatus>string</AccountSuspensionStatus>
<AccountSuspensionDate>dateTime</AccountSuspensionDate>
<AccountName>string</AccountName>
<ExternalAccountId>string</ExternalAccountId>
<ConnectPermission>string</ConnectPermission>
<DocusignLandingUrl>string</DocusignLandingUrl>
<Success>boolean</Success>
<Error>
<ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode>
<Description>string</Description>
</Error>
</GetAccountInformationResult>
</GetAccountInformationResponse>
</soap:Body>
</soap:Envelope>